var soundState = {
	
	create: function() {
		
		//========== FIX FOR CHROME ==========
		game.input.onDown.addOnce(function() {
			try {
				game.sound.context.resume();
			} catch(error) {
				console.log("ERROR");
			}
		});
		
		//----------------------------------------------------------------------------
		//                              SPACE BACKGROUND
		//----------------------------------------------------------------------------
		stars = game.add.sprite(centerX, centerY - 50, "stars");
		stars.anchor.set(0.5);
		
		//------------------------------------------------------------------
		//                              PLANET
		//------------------------------------------------------------------
		planet = game.add.sprite(centerX, 666, "planet");
		planet.anchor.setTo(0.5, 0);
		
		//------------------------------------------------------------------------
		//                              SOUND DIALOG
		//------------------------------------------------------------------------
		soundDialog = game.add.sprite(centerX, centerY, "soundDialog");
		soundDialog.anchor.set(0.5);
		
		//========== NO SOUND BUTTON ==========
		soundNoButton = tweenButton(-62, 95, "noButton", function() { soundsAreMuted = true; musicIsMuted = true; closeDoors("menuState"); }, null, 0.25);
		soundDialog.addChild(soundNoButton);
		
		//========== YES SOUND BUTTON ==========
		soundYesButton = tweenButton(62, 95, "yesButton", function() {
				menuMusic.play();
				// KEEP MUSIC LOOPING ON MOBILE
				menuMusic.onLoop.add(function(){ menuMusic.play(); },this);
				menuMusic.pause();
				closeDoors("menuState");
			}, buttonClick, 0.25);
		soundDialog.addChild(soundYesButton);
		
		soundDialog.scale.set(0);
		game.add.tween(soundDialog.scale).to({x: 1,y: 1}, 500, Phaser.Easing.Elastic.Out, true);
		
		//--------------------------------------------------------------------------
		//                              ADD OPEN DOORS
		//--------------------------------------------------------------------------
		leftDoor = game.add.sprite(0, 0, "leftDoor");
		leftDoor.x = -leftDoor.width;
		rightDoor = game.add.sprite(0, 0, "rightDoor");
		rightDoor.anchor.setTo(1, 0);
		rightDoor.x = gameWidth + rightDoor.width;
		
	}
	
}

