var preloader = {
		
	preload: function() {
		
		//-----------------------------------------------------------------------------
		//                              SET PRELOADER BAR
		//-----------------------------------------------------------------------------
		preloaderBG = game.add.sprite(0, 0, "preloaderBG");
		loadingBar = game.add.sprite(50, 639,"loadingBar");
		game.load.setPreloadSprite(loadingBar);
		
		//---------------------------------------------------------------------
		//                              END STATE
		//---------------------------------------------------------------------
		game.load.image("endOKButton", "astro_ballz/endState/endOKButton.png");
		game.load.image("endStateText1", "astro_ballz/endState/endStateText1.png");
		game.load.image("endStateText2", "astro_ballz/endState/endStateText2.png");
		
		//-----------------------------------------------------------------------
		//                              LEVEL STATE
		//-----------------------------------------------------------------------
		game.load.spritesheet("levelButton", "astro_ballz/levelState/levelButton.png", 106, 91);
		game.load.image("levelLeftButton", "astro_ballz/levelState/levelLeftButton.png");
		game.load.spritesheet("levelNumbers", "astro_ballz/levelState/levelNumbers.png", 33, 36);
		game.load.spritesheet("levelPage", "astro_ballz/levelState/levelPage.png", 304, 29);
		game.load.spritesheet("levelStars", "astro_ballz/levelState/levelStars.png", 72, 62);
		game.load.image("lock", "astro_ballz/levelState/lock.png");
		game.load.image("resetDataButton", "astro_ballz/levelState/resetDataButton.png");
		game.load.image("resetDialog", "astro_ballz/levelState/resetDialog.png");
		
		//----------------------------------------------------------------------
		//                              MENU STATE
		//----------------------------------------------------------------------
		game.load.image("infoButton", "astro_ballz/menuState/infoButton.png");
		game.load.image("infoDialog", "astro_ballz/menuState/infoDialog.png");
		game.load.image("startButton", "astro_ballz/menuState/startButton.png");
		game.load.image("title", "astro_ballz/menuState/title.png");
		
		//-----------------------------------------------------------------
		//                              MUSIC
		//-----------------------------------------------------------------
		game.load.audio("menuMusic",	[	"astro_ballz/music/menuMusic.m4a",
																"astro_ballz/music/menuMusic.ogg"		]);
		game.load.audio("playMusic1",	[	"astro_ballz/music/playMusic1.m4a",
																"astro_ballz/music/playMusic1.ogg"		]);
		game.load.audio("playMusic2",	[	"astro_ballz/music/playMusic2.m4a",
																"astro_ballz/music/playMusic2.ogg"		]);
		game.load.audio("playMusic3",	[	"astro_ballz/music/playMusic3.m4a",
																"astro_ballz/music/playMusic3.ogg"		]);
		game.load.audio("playMusic4",	[	"astro_ballz/music/playMusic4.m4a",
																"astro_ballz/music/playMusic4.ogg"		]);
		
		//----------------------------------------------------------------------
		//                              PLAY STATE
		//----------------------------------------------------------------------
		game.load.spritesheet("asteroid", "astro_ballz/playState/asteroid.png", 61, 59);
		game.load.spritesheet("ball", "astro_ballz/playState/ball.png", 30, 30);
		game.load.spritesheet("bonus", "astro_ballz/playState/bonus.png", 16, 16);
		game.load.spritesheet("fire", "astro_ballz/playState/fire.png", 75, 76);
		game.load.spritesheet("jump", "astro_ballz/playState/jump.png", 74, 74);
		game.load.spritesheet("levelNumbersGUI", "astro_ballz/playState/levelNumbersGUI.png", 33, 34);
		game.load.spritesheet("messages", "astro_ballz/playState/messages.png", 487, 77);
		game.load.image("nextButton", "astro_ballz/playState/nextButton.png");
		game.load.spritesheet("nextPowerup", "astro_ballz/playState/nextPowerup.png", 51, 51);
		game.load.spritesheet("orb", "astro_ballz/playState/orb.png", 71, 53);
		game.load.spritesheet("pauseButton", "astro_ballz/playState/pauseButton.png", 60, 59);
		game.load.image("pauseDialog", "astro_ballz/playState/pauseDialog.png");
		game.load.image("pauseDialogLevelButton", "astro_ballz/playState/pauseDialogLevelButton.png");
		game.load.image("pauseDialogReplayButton", "astro_ballz/playState/pauseDialogReplayButton.png");
		game.load.image("playGUI", "astro_ballz/playState/playGUI.png");
		game.load.image("playGUItop", "astro_ballz/playState/playGUItop.png");
		game.load.image("progressBar", "astro_ballz/playState/progressBar.png");
		game.load.spritesheet("ship", "astro_ballz/playState/ship.png", 153, 60);
		game.load.image("underlay", "astro_ballz/playState/underlay.png");
		game.load.image("winDialog", "astro_ballz/playState/winDialog.png");
		game.load.image("winStar", "astro_ballz/playState/winStar.png");
		
		//------------------------------------------------------------------
		//                              SHARED
		//------------------------------------------------------------------
		game.load.image("leftDoor", "astro_ballz/shared/leftDoor.png");
		game.load.image("menuButton", "astro_ballz/shared/menuButton.png");
		game.load.image("musicButtonOff", "astro_ballz/shared/musicButtonOff.png");
		game.load.image("musicButtonOn", "astro_ballz/shared/musicButtonOn.png");
		game.load.image("noButton", "astro_ballz/shared/noButton.png");
		game.load.image("planet", "astro_ballz/shared/planet.png");
		game.load.image("rightArrowButton", "astro_ballz/shared/rightArrowButton.png");
		game.load.image("rightDoor", "astro_ballz/shared/rightDoor.png");
		game.load.image("soundButtonOff", "astro_ballz/shared/soundButtonOff.png");
		game.load.image("soundButtonOn", "astro_ballz/shared/soundButtonOn.png");
		game.load.image("stars", "astro_ballz/shared/stars.jpg");
		game.load.image("yesButton", "astro_ballz/shared/yesButton.png");
		
		//------------------------------------------------------------------
		//                              SOUNDS
		//------------------------------------------------------------------
		game.load.audio("asteroidHit", [	"astro_ballz/sounds/asteroidHit.m4a",
																"astro_ballz/sounds/asteroidHit.ogg"		]);
		game.load.audio("bonusPickup", [	"astro_ballz/sounds/bonusPickup.m4a",
																"astro_ballz/sounds/bonusPickup.ogg"		]);
		game.load.audio("buttonClick", [	"astro_ballz/sounds/buttonClick.m4a",
																"astro_ballz/sounds/buttonClick.ogg"		]);
		game.load.audio("doorSound", [	"astro_ballz/sounds/doorSound.m4a",
																"astro_ballz/sounds/doorSound.ogg"		]);
		game.load.audio("explosion", [		"astro_ballz/sounds/explosion.m4a",
																"astro_ballz/sounds/explosion.ogg"			]);
		game.load.audio("getReady", [		"astro_ballz/sounds/getReady.m4a",
																"astro_ballz/sounds/getReady.ogg"			]);
		game.load.audio("jumpSound", [	"astro_ballz/sounds/jumpSound.m4a",
																"astro_ballz/sounds/jumpSound.ogg"		]);
		game.load.audio("levelDone", [		"astro_ballz/sounds/levelDone.m4a",
																"astro_ballz/sounds/levelDone.ogg"			]);
		game.load.audio("lostBall", [			"astro_ballz/sounds/lostBall.m4a",
																"astro_ballz/sounds/lostBall.ogg"				]);
		game.load.audio("newLevel", [		"astro_ballz/sounds/newLevel.m4a",
																"astro_ballz/sounds/newLevel.ogg"			]);
		game.load.audio("nextPowerupSound", ["astro_ballz/sounds/nextPowerupSound.m4a",
																"astro_ballz/sounds/nextPowerupSound.ogg"	]);
		game.load.audio("orbHit1", [			"astro_ballz/sounds/orbHit1.m4a",
																"astro_ballz/sounds/orbHit1.ogg"				]);
		game.load.audio("orbHit2", [			"astro_ballz/sounds/orbHit2.m4a",
																"astro_ballz/sounds/orbHit2.ogg"				]);
		game.load.audio("orbHit3", [			"astro_ballz/sounds/orbHit3.m4a",
																"astro_ballz/sounds/orbHit3.ogg"				]);
		game.load.audio("shipHit", [			"astro_ballz/sounds/shipHit.m4a",
																"astro_ballz/sounds/shipHit.ogg"				]);
		game.load.audio("starSound1", [	"astro_ballz/sounds/starSound1.m4a",
																"astro_ballz/sounds/starSound1.ogg"		]);
		game.load.audio("starSound2", [	"astro_ballz/sounds/starSound2.m4a",
																"astro_ballz/sounds/starSound2.ogg"		]);
		game.load.audio("starSound3", [	"astro_ballz/sounds/starSound3.m4a",
																"astro_ballz/sounds/starSound3.ogg"		]);
		game.load.audio("wallHit", [			"astro_ballz/sounds/wallHit.m4a",
																"astro_ballz/sounds/wallHit.ogg"				]);
		game.load.audio("winSound", [		"astro_ballz/sounds/winSound.m4a",
																"astro_ballz/sounds/winSound.ogg"			]);
		
		//------------------------------------------------------------------------
		//                              SOUND STATE
		//------------------------------------------------------------------------
		game.load.image("soundDialog", "astro_ballz/soundState/soundDialog.png");
		
	},
	
	
	create: function() {
		
		//----------------------------------------------------------------------------
		//                              MUSIC AND SOUNDS
		//----------------------------------------------------------------------------
		
		//========== MUSIC ==========
		menuMusic = game.add.audio("menuMusic", 0.8, true);
		playMusic1 = game.add.audio("playMusic1", 0.9, true);
		playMusic2 = game.add.audio("playMusic2", 1.0, true);
		playMusic3 = game.add.audio("playMusic3", 1.0, true);
		playMusic4 = game.add.audio("playMusic4", 1.0, true);
		
		//========== SOUNDS ==========
		asteroidHit = game.add.audio("asteroidHit", 1.0);
		bonusPickup = game.add.audio("bonusPickup", 1.0);
		buttonClick = game.add.audio("buttonClick", 1.0);
		doorSound = game.add.audio("doorSound", 0.6);
		explosion = game.add.audio("explosion", 1.0);
		getReady = game.add.audio("getReady", 1.0);
		jumpSound = game.add.audio("jumpSound", 1.0);
		levelDone = game.add.audio("levelDone", 1.0);
		lostBall = game.add.audio("lostBall", 0.8);
		newLevel = game.add.audio("newLevel", 1.0);
		nextPowerupSound = game.add.audio("nextPowerupSound", 1.0);
		orbHit1 = game.add.audio("orbHit1", 1.0);
		orbHit2 = game.add.audio("orbHit2", 1.0);
		orbHit3 = game.add.audio("orbHit3", 1.0);
		shipHit = game.add.audio("shipHit", 1.0);
		starSound1 = game.add.audio("starSound1", 1.0);
		starSound2 = game.add.audio("starSound2", 1.0);
		starSound3 = game.add.audio("starSound3", 1.0);
		wallHit = game.add.audio("wallHit", 1.0);
		winSound = game.add.audio("winSound", 1.0);
		
	},
	
	
	update: function () {
		
		if (game.cache.isSoundDecoded("menuMusic"))
		{
			game.state.start("soundState");
		}
		
	}
	
}

